# Copyright (C) 2018  Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

MANUAL = OPK Build System

man1_sources = \
	%reldir%/opkbuild.1in \
	%reldir%/ob-checkbuilddeps.1in \
	%reldir%/ob-buildenv.1in \
	%reldir%/ob-unpacksource.1in \
	%reldir%/ob-applypatches.1in \
	%reldir%/ob-installplatconf.1in \
	%reldir%/ob-installdocs.1in \
	%reldir%/ob-gencontrol.1in \
	%reldir%/ob-buildopk.1in \
	%reldir%/ob-genchanges.1in
man1_MANS = $(man1_sources:.1in=.1)
man3_MANS = \
	%reldir%/ob_get_text_domain.3 \
	%reldir%/ob_set_text_domain.3 \
	%reldir%/ob_get_msg.3 \
	%reldir%/ob_error.3 \
	%reldir%/ob_warn.3 \
	%reldir%/ob_info.3 \
	%reldir%/ob_init_package.3 \
	%reldir%/ob_get_binary_packages.3 \
	%reldir%/ob_get_source_parameter.3 \
	%reldir%/ob_get_binary_parameter.3 \
	%reldir%/ob_get_doc_package.3 \
	%reldir%/ob_get_doc_files.3 \
	%reldir%/ob_set_package_substvars.3 \
	%reldir%/ob_validate_source_name.3 \
	%reldir%/ob_validate_binary_name.3 \
	%reldir%/ob_parse_version.3 \
	%reldir%/ob_get_system_arch.3 \
	%reldir%/ob_get_system_plat.3 \
	%reldir%/ob_arch_is_concerned.3 \
	%reldir%/ob_plat_is_concerned.3 \
	%reldir%/ob_get_system_path.3 \
	%reldir%/ob_validate_section.3 \
	%reldir%/ob_qualify_package_name.3 \
	%reldir%/ob_parse_control.3 \
	%reldir%/ob_set_binary_substvar.3 \
	%reldir%/ob_set_source_substvar.3 \
	%reldir%/ob_substvars.3 \
	%reldir%/ob_parse_changelog.3 \
	%reldir%/ob_parse_dep.3 \
	%reldir%/ob_reduce_deps.3 \
	%reldir%/ob_rfc822_mktime.3 \
	%reldir%/ob_iso8601_gmtime.3 \
	%reldir%/ob_touch_t_gmtime.3
man7_sources = \
	%reldir%/opkbuild.7in
man7_MANS = $(man7_sources:.7in=.7)

SUFFIXES += .1in .1 .7in .7
CLEANFILES += \
	%reldir%/Tags \
	$(man1_MANS) \
	$(man3_MANS) \
	$(man7_MANS)
EXTRA_DIST += \
	$(man1_sources) \
	$(man7_sources)

man_subst = sed \
	-e "s|[@]SOURCE[@]|$(PACKAGE_STRING)|g" \
	-e 's|[@]MANUAL[@]|$(MANUAL)|g' \
	-e "s|[@]DATE[@]|$$('$(srcdir)/tools/mtime.sh' $<)|g"

.1in.1:
	$(AM_V_GEN)$(MKDIR_P) "$$(dirname $@)"
	$(AM_V_at)$(man_subst) $< >$@
.7in.7:
	$(AM_V_GEN)$(MKDIR_P) "$$(dirname $@)"
	$(AM_V_at)$(man_subst) $< >$@

$(man3_MANS): %reldir%/Tags

%reldir%/Tags: $(libopkbuild_sources) $(EXTRA_libopkbuild_sources)
	$(AM_V_GEN)libopkbuild="$(libdatadir)/libopkbuild.$(SHSOEXT)"; \
		libopkbuild="$${libopkbuild}.$(libopkbuild_shsoversion)"; \
		'$(srcdir)/tools/shman.sh' \
		-s "$(PACKAGE_STRING)" -m '$(MANUAL)' -S "$${libopkbuild}" \
		-b '$(srcdir)' -d %reldir% -t $@ \
		$(libopkbuild_sources) $(EXTRA_libopkbuild_sources)
